<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/template-layout.xhtml">

	<ui:define name="content">
		<div class="ContainerIndent">
		<f:loadBundle basename="resources.application" var="msg"/>
				<p:panel>
					<f:facet name="header">Form Registration</f:facet>
					<div class="ContainerIndent">
						<h:form id="formRegistration" enctype="multipart/form-data">
							<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
							<div class="EmptyBox20"></div>
								<p:panel header="File Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										<p:outputLabel id="file_Type" value="File Type" styleClass="hardblue"/>	
										 <p:selectOneRadio id="console"  required="true">
								            <f:selectItem itemLabel="Residential" itemValue="Residential" />
								            <f:selectItem itemLabel="Commercial" itemValue="Commercial" />
								        </p:selectOneRadio>
										<p:message for="file_Type"></p:message>
										
										<p:outputLabel id="area" value="Area" styleClass="hardblue"/>
										<p:selectOneMenu id="group"    styleClass="Wid85" required="true" requiredMessage="zxccx">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="5 Marla" itemValue="5 Marla" />
									         <f:selectItem itemLabel="10 Marla" itemValue="10 Marla" />
									         <f:selectItem itemLabel="1 kanal" itemValue="1 kanal" />
										</p:selectOneMenu>
										<p:message for="area"></p:message>
										
										<p:outputLabel id="serialNo" value="Form Serial No" styleClass="hardblue"/>
										<p:inputText id="firstName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="area"></p:message>
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Applicant Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="personCatories" value="Applicant catagory" styleClass="hardblue"/>
										<p:selectOneMenu id="personCatories"    styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											  <f:selectItem itemLabel="General Public" itemValue="General Public" />
									         <f:selectItem itemLabel="Defence Persons" itemValue="Defence Persons" />
									         <f:selectItem itemLabel="Overseas Pakistanis" itemValue="Overseas Pakistanis" />
									         <f:selectItem itemLabel="Senior Citizens" itemValue="Senior Citizens" />
										</p:selectOneMenu>
										<p:message for="personCatories"></p:message>
										
										<p:outputLabel for="nic" value="Cnic Number" styleClass="hardblue"/>
										<p:inputText id="nic"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nic"></p:message>
										
										<p:outputLabel fpr="FirstName" value="First Name" styleClass="hardblue"/>
										<p:inputText id="FirstName"    required="true" maxlength="32" requiredMessage="ASDA" styleClass="Wid90"/>
										<p:message for="FirstName"></p:message>
										
										<p:outputLabel for="middleName" value="Middle Name" styleClass="hardblue"/>
										<p:inputText id="middleName"   maxlength="32"  styleClass="Wid90"/>
										<p:message for="middleName"></p:message>
										
										<p:outputLabel for="lastName" value="Last Name" styleClass="hardblue"/>
										<p:inputText id="lastName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="lastName"></p:message>
										
										
										<p:outputLabel for="portal" value="Portal Address" styleClass="hardblue"/>
										<p:inputText id="portal"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="portal"></p:message>
										
										<p:outputLabel for="cityName" value="City Name" styleClass="hardblue"/>
										<p:inputText id="cityName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="cityName"></p:message>
										
										<p:outputLabel for="provinceName" value="Province" styleClass="hardblue"/>
										<p:selectOneMenu id="provinceName"   styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="Punjab" itemValue="Punjab" />
									         <f:selectItem itemLabel="Sindh" itemValue="Sindh" />
									         <f:selectItem itemLabel="KPK" itemValue="KPK" />
									         <f:selectItem itemLabel="Balochistan" itemValue="Balochistan" />
										</p:selectOneMenu>
										<p:message for="provinceName"></p:message>
										
										<p:outputLabel for="telePhoneNo" value="TelePhone Number" styleClass="hardblue"/>
										<p:inputText id="telePhoneNo"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="telePhoneNo"></p:message>
										
										<p:outputLabel for="email" value="Email" styleClass="hardblue"/>
										<p:inputText id="email"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="email"></p:message>
										
									</p:panelGrid>
							</p:panel>
							<p:panel header="Nominee's Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="nNic" value="Cnic Number" styleClass="hardblue"/>
										<p:inputText id="nNic"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nNic"></p:message>
										
										<p:outputLabel fpr="nFirstName" value="Name" styleClass="hardblue"/>
										<p:inputText id="nFirstName"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="nFirstName"></p:message>
										
										<p:outputLabel for="ntelePhoneNo" value="TelePhone Number" styleClass="hardblue"/>
										<p:inputText id="ntelePhoneNo"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="ntelePhoneNo"></p:message>
										
										<p:outputLabel for="relation" value="Relatioship" styleClass="hardblue"/>
										<p:selectOneMenu id="relation"   styleClass="Wid85" required="true" requiredMessage="">
											<f:selectItem itemValue="#{null}" itemLabel="#{msg.pleaseSelect}"/>
											 <f:selectItem itemLabel="Father" itemValue="Father" />
											  <f:selectItem itemLabel="Mother" itemValue="Mother" />
											 <f:selectItem itemLabel="Brother" itemValue="Brother" />
									         <f:selectItem itemLabel="Sister" itemValue="Sister" />
									         <f:selectItem itemLabel="Son" itemValue="Son" />
									         <f:selectItem itemLabel="Dauther" itemValue="Dauther" />
									         <f:selectItem itemLabel="Brother-in-law" itemValue="Brother-in-law" />
									         <f:selectItem itemLabel="Son-in-law" itemValue="Son-in-law" />
										</p:selectOneMenu>
										<p:message for="relation"></p:message>
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Payment Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
										<p:outputLabel for="bank" value="Bank Name" styleClass="hardblue"/>
										<p:inputText id="bank"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="bank"></p:message>
										
										<p:outputLabel fpr="branch" value="Branch Name" styleClass="hardblue"/>
										<p:inputText id="branch"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="branch"></p:message>
										
										<p:outputLabel for="instrument" value="Instrument#" styleClass="hardblue"/>
										<p:inputText id="instrument"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="instrument"></p:message>
										
										<p:outputLabel for="amount" value="Amount" styleClass="hardblue"/>
										<p:inputText id="amount"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="amount"></p:message>
										
										
										<p:outputLabel for="receipt" value="Receipt Number" styleClass="hardblue"/>
										<p:inputText id="receipt"   required="true" maxlength="32" requiredMessage="#{msg.firstNameIsRequired}" styleClass="Wid90"/>
										<p:message for="receipt"></p:message>
								
			
									</p:panelGrid>
							</p:panel>
							<p:panel header="Payment Details">
									<p:panelGrid columns="3" layout="grid"
									columnClasses="ui-grid-col-3,ui-grid-col-6,ui-grid-col-3"
									styleClass="ui-fluid">
										
									<p:outputLabel for="formAttach" value="Form Attachment"  styleClass="hardblue"/>
										<p:outputPanel id="formPanel" >
											<p:outputPanel rendered="#{!registrationFormBean.showUpload}">
												<img src="data:image/png;base64, #{registrationFormBean.displayPicture}" width="150px" height="200px" />
												<p:commandLink action="#{registrationFormBean.hideShowUploadPanel(true)}" ajax="true" update="formPanel" value="Change" style="margin-left:10px !important ;">
												</p:commandLink>
												<p:commandLink action="#{registrationFormBean.hideCancelButton(false)}" ajax="true" update="formPanel" value="Remove">
												</p:commandLink>
											</p:outputPanel>
											
				
											<p:outputPanel>
												<p:fileUpload id="formAttach" mode="advanced" dragDropSupport="false" fileUploadListener="#{registrationFormBean.handleFileUpload}" update="messages" sizeLimit="500000" fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" auto="true"
													rendered="#{registrationFormBean.showUpload}" />
												<p:commandLink action="#{registrationFormBean.hideShowUploadPanel(false)}" ajax="true" update="formPanel" value="Cancel" rendered="#{registrationFormBean.showUploadPanel}">
												</p:commandLink>
											</p:outputPanel>
										</p:outputPanel>
										 <p:message for="formAttach" display="text"/> 
			
										
										<p:outputLabel for="pReceipt" value="Receipt Attachment"  styleClass="hardblue"/>
										<p:outputPanel id="imagePanel" >
											<p:outputPanel rendered="#{!registrationFormBean.showUpload}">
												<img src="data:image/png;base64, #{registrationFormBean.displayPicture}" width="150px" height="200px" />
												<p:commandLink action="#{registrationFormBean.hideShowUploadPanel(true)}" ajax="true" update="imagePanel" value="Change" style="margin-left:10px !important ;">
												</p:commandLink>
												<p:commandLink action="#{registrationFormBean.hideCancelButton(false)}" ajax="true" update="imagePanel" value="Remove">
												</p:commandLink>
											</p:outputPanel>
											
				
											<p:outputPanel>
												<p:fileUpload id="pReceipt" mode="advanced" dragDropSupport="false" fileUploadListener="#{registrationFormBean.handleFileUpload}" update="messages" sizeLimit="500000" fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" auto="true"
													rendered="#{registrationFormBean.showUpload}" />
												<p:commandLink action="#{registrationFormBean.hideShowUploadPanel(false)}" ajax="true" update="imagePanel" value="Cancel" rendered="#{registrationFormBean.showUploadPanel}">
												</p:commandLink>
											</p:outputPanel>
										</p:outputPanel>
										 <p:message for="pReceipt" display="text"/> 
			
									</p:panelGrid>
							</p:panel>
							 <div class="EmptyBox20"></div>
							<p:outputPanel styleClass="TexAlCenter">
								<p:commandButton value="Cancel" id="update"/>
								 
								<p:commandButton value="Reset" id="backAction" />
								<p:commandButton value="Submit" id="submit" />
							</p:outputPanel>
						</h:form>
					</div>
				</p:panel>
			</div>
	</ui:define>
 </ui:composition>